AMD64 again

I haven't used an EAP build for a while, but I thought I'd try the latest to see the new features.

I'm running with a Sun 64bit JVM on Linux.

If I start up with JDK1.5.0_03, I get this:

Idea won't start.

If I start up with J2SDK1.4.2_06, I get this:
But at least Idea will start.

It seems you can no longer just delete the .so files and still expect IDEA to start up.

Is there anything I can do to make these builds run on a 64Bit JDK1.5 VM?

Is this going to be addressed and made a supported platform before the final release?

5 comments
Comment actions Permalink

remove -Xrunyjpagent:port=10100 from idea/bin/idea.vmoptions

I also had to increase XX:MaxPermSize to 256m, 64-bit JVM demands more RAM

0
Comment actions Permalink

After having "fun" with 64-bit version (which demands more RAM, works
slower etc.) I'm back to 32-bit version with compatibility libs on my
gentoo.

IK

Konstantin Sobolev wrote:

remove -Xrunyjpagent:port=10100 from idea/bin/idea.vmoptions

I also had to increase XX:MaxPermSize to 256m, 64-bit JVM demands more RAM

0
Comment actions Permalink

strange. on my gentoo sun's latest 64-bit version works pretty fast, even in debug mode (-Xdebug -Xnoagent -Djava.compiler=NONE)

0
Comment actions Permalink

Thanks for this, it works just fine now.

I haven't personally noticed any need, yet, to cater for any increased demand for RAM though.

0
Comment actions Permalink

I had similar issues getting 3417 running on Linux with amd64 kernel. The issue is because the EA download only includes a 32-bit version library for YourKit Java Profiler.

Quick fix was to just go get the eap version of YJP from: http://www.yourkit.com/eap-download/index.jsp, install it and replace the libyjpagent.so file that originally came with idea in IDEA_HOME/bin.

Once this change was made, everything worked OK. I'm using:
java version "1.5.0_03"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_03-b07)
Java HotSpot(TM) 64-Bit Server VM (build 1.5.0_03-b07, mixed mode)

kernel: 2.6.11-gentoo-r9, amd64 - x86_64


Idea folks, suggestion: you may want to add a note to the EAP download page that the Unix/Linux downloads are for x86, and perhaps package another file with the 64-bit version of YJP.

One more thing: I had to fix the LD_LIBRARY_PATH in idea.sh to point to idea's bin directory - (the script assumes you start idea.sh from . directory).



0

Please sign in to leave a comment.